---
title: "Retrieve a company location catalog"
description: "Retrieve a company location catalog."
doc_type: openapi
doc_category: openapi
doc_version: v20270301
source_url:
  html: 'https://developer.shopline.com/docs/admin-rest-api/product/catalog/retrieve-a-company-location-catalog'
  md: 'https://developer.shopline.com/docs/admin-rest-api/product/catalog/retrieve-a-company-location-catalog.md'
---
# Retrieve a company location catalog

Retrieve a company location catalog.

- **Base URL:** `https://{handle}.myshopline.com/admin/openapi`
- **Required Scopes:** `read_products`
- **API Version:** v20270301
- **API Type:** Admin
- **API Protocol:** RESTful

## Endpoint

```http
GET /company_location_catalog/:catalog_id.json
```

## Base URL

* `https://{handle}.myshopline.com/admin/openapi`

  * `{handle}`: `handle` : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is `open001.myshopline.com` , the store handle is `open001` .

## Required Permissions

* `read_products`

## Request

### Path Parameters

* `catalog_id`

  string (required)

  The ID of catalog.

### Request Headers

* `Content-Type`

  string (required)

  The field must be set to the fixed value `application/json; charset=utf-8`.

* `Authorization`

  string (required)

   The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. 

## Response

### Status Codes

* `200`

  For the complete list of codes and messages, see [Http status code](https://developer.shopline.com/docs/apps/api-instructions-for-use/http-status-code.md?lang=en).

* `401`

  

* `429`

  

### Response Headers

* `traceId`

  A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.

### Response Body

#### 200

* `catalog`

  object

  Returned a company location catalog.

  * `catalog_id`

    string

    The ID of company location catalog.

  * `create_at`

    string

     Create time of the catalog

  * `currency_code`

    string

    Currency code

  * `status`

    integer

    The status of the specified catalog, with a value of `1` representing active status and a value of `2` representing draft status.

  * `title`

    string

    The title of company location catalog.

  * `adjustment_type`

    integer

    The type of percentage adjustment, with a value of `1` for decreasing the price and a value of `2` for increasing the price.

  * `adjustment_value`

    integer

    The adjustment value based on `adjustment_type`, formatted as a percentage.
    - When decreasing the price, the value is limited to 0-100.
    - When increasing the price, the value is limited to 0-10,000.

  * `auto_add_product`

    boolean

    Whether newly added products should automatically be included in the catalog. Defaults to `false` if not specified.


#### 401

* `errors`

  string

  Error message. 


#### 429

* `errors`

  string

  Error message. 


## OpenAPI Definition

```json
{
  "description": "Retrieve a company location catalog.",
  "externalDocs": {
    "description": "Permission point used by the interface is `read_products` , For more information about the use of permission points, see",
    "url": "ec20/3cv5d7wpfgr6a8z5/xabczf5442284vkq?lang=en",
    "errorTableDescription": ""
  },
  "operationId": "Cnb2Q2cJ",
  "parameters": [
    {
      "name": "catalog_id",
      "in": "path",
      "description": "The ID of catalog.",
      "required": true,
      "style": "simple",
      "schema": {
        "name": "catalog_id",
        "description": "The ID of catalog.",
        "type": "string",
        "example": "6598087148213149672"
      },
      "example": "6598087148213149672"
    },
    {
      "name": "Content-Type",
      "in": "header",
      "description": "The field must be set to the fixed value `application/json; charset=utf-8`.",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Content-Type",
        "type": "string",
        "example": "application/json; charset=utf-8"
      }
    },
    {
      "name": "Authorization",
      "in": "header",
      "description": " The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. ",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Authorization",
        "description": " The access token for the API. Please refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then put the obtained access token into the API request header in Bearer Token.",
        "type": "string",
        "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
      },
      "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
    }
  ],
  "responses": {
    "200": {
      "description": "For the complete list of codes and messages, see [Http status code](https://developer.shopline.com/docs/apps/api-instructions-for-use/http-status-code.md?lang=en).",
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "catalog": {
                "name": "catalog",
                "description": "Returned a company location catalog.",
                "type": "object",
                "properties": {
                  "catalog_id": {
                    "name": "catalog_id",
                    "description": "The ID of company location catalog.",
                    "type": "string",
                    "example": "6598087148213149672"
                  },
                  "create_at": {
                    "name": "create_at",
                    "description": " Create time of the catalog",
                    "type": "string",
                    "example": "2024-08-14T00:17:55+08:00"
                  },
                  "currency_code": {
                    "name": "currency_code",
                    "description": "Currency code",
                    "type": "string",
                    "example": "USD"
                  },
                  "status": {
                    "name": "status",
                    "description": "The status of the specified catalog, with a value of `1` representing active status and a value of `2` representing draft status.",
                    "type": "integer",
                    "example": 1
                  },
                  "title": {
                    "name": "title",
                    "description": "The title of company location catalog.",
                    "type": "string",
                    "example": "A catalog title"
                  },
                  "adjustment_type": {
                    "name": "adjustment_type",
                    "description": "The type of percentage adjustment, with a value of `1` for decreasing the price and a value of `2` for increasing the price.",
                    "type": "integer",
                    "example": 1
                  },
                  "adjustment_value": {
                    "name": "adjustment_value",
                    "description": "The adjustment value based on `adjustment_type`, formatted as a percentage.\n- When decreasing the price, the value is limited to 0-100.\n- When increasing the price, the value is limited to 0-10,000.",
                    "type": "integer",
                    "example": 50
                  },
                  "auto_add_product": {
                    "name": "auto_add_product",
                    "description": "Whether newly added products should automatically be included in the catalog. Defaults to `false` if not specified.",
                    "type": "boolean",
                    "example": true
                  }
                },
                "example": {
                  "adjustment_type": 1,
                  "adjustment_value": 50,
                  "auto_add_product": true,
                  "catalog_id": "6598087148213149672",
                  "create_at": "2024-08-14T00:17:55+08:00",
                  "currency_code": "USD",
                  "status": 1,
                  "title": "A catalog title"
                }
              }
            },
            "example": {
              "catalog": {
                "title": "A catalog title",
                "adjustment_type": 1,
                "adjustment_value": 50,
                "auto_add_product": true,
                "catalog_id": "6598087148213149672",
                "create_at": "2024-08-14T00:17:55+08:00",
                "currency_code": "USD",
                "status": 1
              }
            }
          }
        }
      }
    },
    "401": {
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "Error message. ",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    },
    "429": {
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "Error message. ",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    }
  },
  "security": [
    {
      "oauth2": []
    }
  ],
  "method": "get",
  "path": "/company_location_catalog/:catalog_id.json",
  "servers": [
    {
      "url": "https://{handle}.myshopline.com/admin/openapi",
      "variables": {
        "handle": {
          "default": "openapiceshidianpu",
          "description": "`handle` : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is `open001.myshopline.com` , the store handle is `open001` ."
        }
      }
    }
  ],
  "info": {
    "title": "Retrieve a company location catalog",
    "version": "v20270301"
  },
  "authIndexes": [
    "read_products"
  ]
}
```